# eric7.EricNetwork.EricSslCertificatesInfoWidget

Module implementing a widget to show SSL certificate infos.

### Global Attributes

None

### Classes

EricSslCertificatesInfoWidget | Class implementing a widget to show SSL certificate infos.

### Functions

None

## EricSslCertificatesInfoWidget

Class implementing a widget to show SSL certificate infos.

### Derived from

QWidget, Ui_EricSslCertificatesInfoWidget

### Class Attributes

None

### Class Methods

None

### Methods

EricSslCertificatesInfoWidget | Constructor
__certificateString | Private method to prepare some text for display.
__formatHexString | Private method to format a hex string for display.
__hasExpired | Private method to check for a certificate expiration.
__serialNumber | Private slot to format the certificate serial number.
__showCertificate | Private method to show the SSL certificate information.
on_chainComboBox_activated | Private slot to show the certificate info for the selected entry.
showCertificate | Public method to show the SSL certificate information.
showCertificateChain | Public method to show the SSL certificates of a certificate chain.

### Static Methods

None

#### EricSslCertificatesInfoWidget (Constructor)

EricSslCertificatesInfoWidget(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### EricSslCertificatesInfoWidget.__certificateString

__certificateString(txt)

Private method to prepare some text for display.

txt
  text to be displayed (string)

Return:
  prepared text (string)

#### EricSslCertificatesInfoWidget.__formatHexString

__formatHexString(hexString)

Private method to format a hex string for display.

hexString
  hex string to be formatted (string)

Return:
  formatted string (string)

#### EricSslCertificatesInfoWidget.__hasExpired

__hasExpired(effectiveDate, expiryDate)

Private method to check for a certificate expiration.

effectiveDate
  date the certificate becomes effective (QDateTime)
expiryDate
  date the certificate expires (QDateTime)

Return:
  flag indicating the expiration status (boolean)

#### EricSslCertificatesInfoWidget.__serialNumber

__serialNumber(cert)

Private slot to format the certificate serial number.

cert
  reference to the SSL certificate (QSslCertificate)

Return:
  formated serial number (string)

#### EricSslCertificatesInfoWidget.__showCertificate

__showCertificate(certificate)

Private method to show the SSL certificate information.

certificate
  reference to the SSL certificate (QSslCertificate)

#### EricSslCertificatesInfoWidget.on_chainComboBox_activated

on_chainComboBox_activated(index)

Private slot to show the certificate info for the selected entry.

index
  number of the certificate in the certificate chain (integer)

#### EricSslCertificatesInfoWidget.showCertificate

showCertificate(certificate)

Public method to show the SSL certificate information.

certificate
  reference to the SSL certificate (QSslCertificate)

#### EricSslCertificatesInfoWidget.showCertificateChain

showCertificateChain(certificateChain)

Public method to show the SSL certificates of a certificate chain.

certificateChain
  list od SSL certificates (list of QSslCertificate)

Up